On Wed, 2017-07-26 at 20:27 +0300, kpp wrote:
> Package: vdpauinfo
> Version: 1.0-1+b2
> Severity: important
> 
> Dear Maintainer,
> 
> *** Reporter, please consider answering these questions, where 
> appropriate ***
> 
>     * What led up to the situation?
> start vdpauinfo on lenovo nettop with integrated video
> 
>     * What was the outcome of this action?
> $ vdpauinfo display: :0   screen: 0
> Failed to open VDPAU backend libvdpau_i965.so: cannot open shared
> object 
> file: No such file or directory
> Error creating VDPAU device: 1
> $
> 
>     * What outcome did you expect instead?
> Output without errors
> 
> some additional info:
> # lspci -vvv
> -- CUT --
> 00:02.0 VGA compatible controller: Intel Corporation 3rd Gen Core 
> processor Graphics Controller (rev 09) (prog-if 00 [VGA controller])
>          Subsystem: Lenovo 3rd Gen Core processor Graphics Controller
>          Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- 
> ParErr- Stepping- SERR- FastB2B- DisINTx+
>          Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast
> >TAbort- 
> <TAbort- <MAbort- >SERR- <PERR- INTx-
>          Latency: 0
>          Interrupt: pin A routed to IRQ 30
>          Region 0: Memory at c0000000 (64-bit, non-prefetchable)
> [size=4M]
>          Region 2: Memory at b0000000 (64-bit, prefetchable)
> [size=256M]
>          Region 4: I/O ports at 4000 [size=64]
>          [virtual] Expansion ROM at 000c0000 [disabled] [size=128K]
>          Capabilities: [90] MSI: Enable+ Count=1/1 Maskable- 64bit-
>                  Address: fee0200c  Data: 4182
>          Capabilities: [d0] Power Management version 2
>                  Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA 
> PME(D0-,D1-,D2-,D3hot-,D3cold-)
>                  Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0
> PME-
>          Capabilities: [a4] PCI Advanced Features
>                  AFCap: TP+ FLR+
>                  AFCtrl: FLR-
>                  AFStatus: TP-
>          Kernel driver in use: i915
>          Kernel modules: i915
> -- CUT --
> 
> -- System Information:
> Debian Release: 9.1
>    APT prefers proposed-updates
>    APT policy: (500, 'proposed-updates'), (500, 'stable')
> Architecture: amd64 (x86_64)
> Foreign Architectures: i386
> 
> Kernel: Linux 4.9.0-3-amd64 (SMP w/2 CPU cores)
> Locale: LANG=ru_RU.UTF-8, LC_CTYPE=ru_RU.UTF-8 (charmap=UTF-8), 
> LANGUAGE= (charmap=UTF-8)
> Shell: /bin/sh linked to /bin/dash
> Init: systemd (via /run/systemd/system)
> 
> Versions of packages vdpauinfo depends on:
> ii  libc6       2.24-11+deb9u1
> ii  libgcc1     1:6.3.0-18
> ii  libstdc++6  6.3.0-18
> ii  libvdpau1   1.1.1-6
> ii  libx11-6    2:1.6.4-3
> 
> vdpauinfo recommends no packages.
> 
> vdpauinfo suggests no packages.
> 
> -- no debconf information

Hi,

Intel does not support vdpau directly, you need the va backend:

apt install vdpau-va-driver libvdpau-va-gl1

then you can run:

VDPAU_DRIVER=va_gl vdpauinfo

Kind regards,
Luca Boccassi

Attachment: signature.asc
Description: This is a digitally signed message part

Reply via email to